<?php
//Incluimos conexion a la base de 
date_default_timezone_set('America/Lima');
require_once('../config/Conexion.php');

Class Difunto
{
  //Implementando nuestro constructor
  public function __construct()
  {

  }
    
      public function insertar($nombre,$idtipo_documento,$num_documento,$descripcion_fallecimiento,$fecha_fallecimiento,$fecha_entierro,$estado) {
        $num_documento = !empty($num_documento) ? $num_documento : '0';
        $sql = "INSERT INTO difunto(nombre,idtipo_documento,num_documento,descripcion_fallecimiento,fecha_fallecimiento,fecha_entierro,estado) 
                VALUES ('$nombre','$idtipo_documento','$num_documento','$descripcion_fallecimiento','$fecha_fallecimiento','$fecha_entierro','$estado')";
        return ejecutarConsulta($sql);
    }

     public function insertar_difunto($nombre,$idtipo_documento,$num_documento) {
        $num_documento = !empty($num_documento) ? $num_documento : '0';
        $sql = "INSERT INTO difunto(nombre,idtipo_documento,num_documento,estado) 
                VALUES ('$nombre','$idtipo_documento','$num_documento','1')";
        return ejecutarConsulta($sql);
    }

    
    // Método para editar
    public function editar($iddifunto,$nombre,$idtipo_documento,$num_documento,$descripcion_fallecimiento,$fecha_fallecimiento,$fecha_entierro,$estado) {
      
      $direccion = !empty($direccion) ? $direccion : 'S/N';
      $numero_celular = !empty($numero_celular) ? $numero_celular : '0';

        $sql = "UPDATE difunto SET 
                nombre = '$nombre', 
                idtipo_documento = '$idtipo_documento', 
                num_documento = '$num_documento',
                descripcion_fallecimiento= '$descripcion_fallecimiento',
                fecha_fallecimiento='$fecha_fallecimiento',
                fecha_entierro='$fecha_entierro',
                estado = '$estado'                 
                WHERE iddifunto = '$iddifunto'";
        return ejecutarConsulta($sql);
    }

    public function listardifunto()
    {
      $sql="SELECT p.iddifunto,p.nombre,t.nombre as nombredocumento,p.num_documento,p.estado,p.descripcion_fallecimiento,p.fecha_fallecimiento,p.fecha_entierro 
             FROM difunto p 
             JOIN tipo_documento t on p.idtipo_documento=t.idtipo_documento";
      return ejecutarConsulta($sql);
    }

     public function mostrar($iddifunto)
    {
      $sql="SELECT * FROM difunto where iddifunto='$iddifunto'";
      return ejecutarConsultaSimpleFila($sql);
    }

      public function selectDifunto()
    {
      $sql="SELECT *
             FROM difunto";
      return ejecutarConsulta($sql);
    }

    public function buscar_por_nombre($nombre)
    {
      $sql = "SELECT iddifunto, nombre FROM difunto WHERE nombre LIKE '%$nombre%' LIMIT 10";
      return ejecutarConsulta($sql);
    }

    public function buscar_ubicacion($nombre)
    {
        $sql = "SELECT p.nombre AS nombre_pabellon, d.fila, d.columna,p.imagen 
                FROM detalle_pabellon d
                JOIN pabellon p ON d.idpabellon = p.idpabellon
                JOIN difunto f ON d.iddifunto = f.iddifunto
                WHERE f.nombre LIKE '%$nombre%'";
        return ejecutarConsulta($sql);
    }

    public function eliminar($iddifunto)
    {
      
      $sql="DELETE FROM difunto where iddifunto='$iddifunto'";
      return ejecutarConsulta($sql);

    }


    


}